Bug 31841 - Can't edit Editor within a TableView
Summary: Can't edit Editor within a TableView
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Android (show other bugs)
Version: 1.4.3
Hardware: PC Windows
: Normal normal
Target Milestone: ---
Assignee: Rui Marinho
URL:
Depends on:
Blocks:
 
Reported: 2015-07-10 17:12 UTC by jasper.fredrickson
Modified: 2015-10-07 13:39 UTC (History)
5 users (show)

Tags: ac
Is this bug a regression?: ---
Last known good build:


Attachments
5.1 Simulator (60.54 KB, image/png)
2015-10-07 13:12 UTC, Paul DiPietro [MSFT]
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description jasper.fredrickson 2015-07-10 17:12:53 UTC
Reproduction steps:

1) Create a blank Forms PCL project
2) Create the App function with the following code:
        public App()
        {
            var table = new TableView
            {
                Root = new TableRoot()
            };
            var section = new TableSection();
            table.Root.Add(section);
            section.Add(new ViewCell{ View = new Editor()});
            MainPage = new ContentPage { Content = table };
        }
3) the Editor field will not be editable in an Android emulator running android 5.1.0 (keyboard should be visible)
Comment 1 Jason Smith [MSFT] 2015-09-02 02:06:38 UTC
Should be fixed in 1.5.1-pre1
Comment 2 Parmendra Kumar 2015-10-07 11:03:50 UTC
I have checked this issue and I am still getting same issue.
I have observed that Keyboard doesn't appear on android emulator.

Screencast: http://www.screencast.com/t/HD6CTG24l

Hence reopen this issue.

Please let me know if I have missed anything to check this issue.

Thanks.
Comment 3 Rui Marinho 2015-10-07 12:50:22 UTC
Can you try on a device?
Comment 4 Parmendra Kumar 2015-10-07 12:54:52 UTC
Rui, its working fine on device. Should I verify this issue on device?
Comment 5 Paul DiPietro [MSFT] 2015-10-07 13:11:36 UTC
I just checked this on an Android 5.1.0 simulator (XAP) and it's working correctly for me in 1.5.1-pre1. I'll attach a screenshot.
Comment 6 Paul DiPietro [MSFT] 2015-10-07 13:12:35 UTC
Created attachment 13228 [details]
5.1 Simulator
Comment 7 Parmendra Kumar 2015-10-07 13:39:19 UTC
I have recheck this issue with update XAP and its working fine.

Screencast: http://www.screencast.com/t/8DGslf9nC4y

Hence closing this issue.